function mid = bisect(a, b)
% Bisection method
% Assumption: one of f(a) and f(b) is >= 0 and the other is <= 0

    [x fa] = shooting(a);
    if (fa <= 0)
        lo = a;
        hi = b;
    else
        lo = b;
        hi = a;
    end
    
    mid = lo + (hi - lo) / 2;
    while ((mid ~= lo) && (mid ~= hi))
        [x fmid] = shooting(mid);
        if (fmid <= 0)
            lo = mid;
        else
            hi = mid;
        end
        mid = lo + (hi - lo) / 2;
    end
end
