global alpha1p beta1p NIRcut NDLcut Ndecim NIRstep NS SCFAC N10 lambda omega ...
    GAMMA nrefrac NQZcut NKIcut NQZstep NKIstep NTHETAstep NQPcut NQPstep 

% Maximum number of levels for each of the subbands
lmax1p = 100;
lmax2p = 100;
lmax3p = 100;

% Nonparabolicity parameters, Ekenberg
alpha1p = 0.642; % 1 / eV
beta1p = 0.697; % 1 / eV

% There are analized levels lower then E3_0 + dEcut
dEcut = 0.03; % eV

% % Width of the Gaussian distribution for LO and IR scattering
delta = 6 * 10 ^ (-3); % eV

% Relative boundary of qp
NQPcut = 40;
% Relative boundary of qz
NQZcut = 40;
% Relative boundary of ki
NKIcut = 20;
% Relative boundary of kx12, t and s
NIRcut = 20;
% Relative boundary energy
NDLcut = 5;

% Decimation of etan2, etan1 and z
Ndecim = 10;
% Number of qp steps
NQPstep = 1000;
% Number of qz steps
NQZstep = 1000;
% Number of kp steps
NKIstep = 1000;
% Number of theta steps
NTHETAstep = 1000;
% Number of kx12, t and s steps
NIRstep = 100;

% Total concentration
NS = 10 ^ 15; % 1 / m ^ 2

% Scale factor
SCFAC = NS / 10 ^ 8;

% Assumed concentration at (1, 0) level
N10 = SCFAC; % 1 / m ^ 2

% Speed of light
c = 3 * 10 ^ 8; % m / s

% Angular frequency of a phonon
omega = 2 * pi * c / lambda;

% GAMMA factor
GAMMA = 2.125 * 10 ^ (-3); % eV

% Material refractive index
nrefrac = 3.3;
