function [eta, etaNz] = shooting(E)
% Shooting method

    global m Eref Unef Egw bwbwbwb Egb dz Angstrom Nz hbar U e
    
    % Conduction band nonparabolicity
    mn = m .* ((1 + (E - Eref - Unef) / Egw) .* (bwbwbwb == 0) + (1 + (E - Eref - Unef) / Egb) .* (bwbwbwb == 1));
    
    if (min(mn) <= 0)
        disp('Error! Mass is negative!')
        return
    end

    eta = zeros(1, Nz);
    eta(2) = eps * dz * Angstrom;

    for i = 2 : (Nz - 1)
        eta(i + 1) = (2 * mn(i) / hbar / hbar * (dz * Angstrom) * (dz * Angstrom) * (U(i) - E) * e + 2) * eta(i) - eta(i - 1); 
    end
    eta = eta / sqrt((eta * eta') * dz); % sqrt(1 / Angstrom)
    etaNz = eta(Nz);   
    
end

